Skip to main content
`Ctrl`+`K`

# EPSPowerSetSNES

Associate a nonlinear solver object (`SNES`) to the eigenvalue solver (to be used in nonlinear inverse iteration).

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSPowerSetSNES(EPS eps,SNES snes)

Collective

## Input Parameters

- eps - the linear eigensolver context

- snes - the nonlinear solver object

## Note

This flag is relevant only in nonlinear problems, see `EPSPowerSetNonlinear()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSPOWER`, `EPSPowerSetNonlinear()`, `EPSPowerGetSNES()`

## Level

advanced

## Location

src/eps/impls/power/power.c

## Implementations

EPSPowerSetSNES_Power() in src/eps/impls/power/power.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages